> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get locationsvenues

> Gets the Venue Node identified by the Locator Node ID path parameter value. A Venue Node is a specialized
Locator Node that represents a Venue, and has a one-to-one relationship with the Venue Node data structure.
Only a Venue Node and those Locator Nodes organized hierarchically beneath a venue node may be associated with resources.



Returns a **Venue Node** .





## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml get /locations/venues/{sysidLocator}
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /locations/venues/{sysidLocator}:
    get:
      tags:
        - LocationService
      description: >+
        Gets the Venue Node identified by the Locator Node ID path parameter
        value. A Venue Node is a specialized

        Locator Node that represents a Venue, and has a one-to-one relationship
        with the Venue Node data structure.

        Only a Venue Node and those Locator Nodes organized hierarchically
        beneath a venue node may be associated with resources.




        Returns a **Venue Node** .

      operationId: getVenue
      parameters:
        - name: sysidLocator
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: |-
            Integer Locator Node ID of the
            Venue Node
            to retrieve.
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  value:
                    venue:
                      country: ...
                      address1: ...
                      events:
                        - active: true
                          details: ...
                          timeZone: {}
                          location: ...
                          sysidVenueEvent: 12345
                          startAqDate: {}
                          endAqDate: {}
                          title: ...
                        - active: true
                          details: ...
                          timeZone: {}
                          location: ...
                          sysidVenueEvent: 12345
                          startAqDate: {}
                          endAqDate: {}
                          title: ...
                      venueTz:
                        default: {}
                        ID: ...
                        availableIDs:
                          - ...
                          - ...
                        rawOffset: 12345
                        displayName: ...
                        DSTSavings: 12345
                      description: ...
                      showEventsDaysInAdvance: 12345
                      emailMessage: ...
                      message: ...
                      sysidVenueType: 12345
                      sysidAccountVenue: 12345
                      geofenceMeters: 12345
                      allowAutoBump: true
                      maxFutureWorkspaces: 12345
                      latitude: 12345
                      exemptAutoBumpOnClosedDays: true
                      city: ...
                      stateProvince: ...
                      schedules:
                        - timeZone: {}
                          activationAqDate: {}
                          scheduleDays:
                            - {}
                            - {}
                          defaultSchedule: true
                          expirationAqDate: {}
                          sysidVenueSchedule: 12345
                          name: ...
                        - timeZone: {}
                          activationAqDate: {}
                          scheduleDays:
                            - {}
                            - {}
                          defaultSchedule: true
                          expirationAqDate: {}
                          sysidVenueSchedule: 12345
                          name: ...
                      originalVenue: true
                      longitude: 12345
                      sysidAccount: 12345
                      sysidTimeZone: 12345
                      displayLinks:
                        - imageURL: ...
                          sysidDisplayLink: 12345
                          external: true
                          description: ...
                          display: true
                          languageTag: ...
                          targetURL: ...
                          activationAqDate: {}
                          expirationAqDate: {}
                        - imageURL: ...
                          sysidDisplayLink: 12345
                          external: true
                          description: ...
                          display: true
                          languageTag: ...
                          targetURL: ...
                          activationAqDate: {}
                          expirationAqDate: {}
                      maxFutureReservationDays: 12345
                      sysidLanguage: 12345
                      address2: ...
                      directions: ...
                      forums:
                        - sysidVenueForum: 12345
                          sysidForumLocatorNode: 12345
                          sysidForum: 12345
                          sysidLocatorNode: 12345
                        - sysidVenueForum: 12345
                          sysidForumLocatorNode: 12345
                          sysidForum: 12345
                          sysidLocatorNode: 12345
                      timeZone:
                        name: ...
                        sysidTimeZone: 12345
                        tzvalue: ...
                      contacts:
                        - sysidVenueContact: 12345
                          contactUser: {}
                          sysidApplicationUser: 12345
                          description: ...
                        - sysidVenueContact: 12345
                          contactUser: {}
                          sysidApplicationUser: 12345
                          description: ...
                      postalCode: ...
                      website: ...
                      active: true
                    active: true
                    discriminator: VNU
                    sysidParentNode: 12345
                    sysidLocatorNode: 12345
                    locationMapImages:
                      - name: ...
                        sysidLocationMapImage: 12345
                        displayOrder: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        description: ...
                        defaultImage: true
                        height: 12345
                        width: 12345
                      - name: ...
                        sysidLocationMapImage: 12345
                        displayOrder: 12345
                        thumbnailSource: ...
                        imageSource: ...
                        description: ...
                        defaultImage: true
                        height: 12345
                        width: 12345
                    displayOrder: 12345
                    locationImages:
                      - width: 12345
                        name: ...
                        description: ...
                        displayOrder: 12345
                        imageSource: ...
                        height: 12345
                        defaultImage: true
                        sysidLocationImage: 12345
                        thumbnailSource: ...
                      - width: 12345
                        name: ...
                        description: ...
                        displayOrder: 12345
                        imageSource: ...
                        height: 12345
                        defaultImage: true
                        sysidLocationImage: 12345
                        thumbnailSource: ...
                    name: ...
                    children:
                      - discriminator: LOC
                        sysidParentNode: 12345
                        sysidLocatorNode: 12345
                        locationMapImages:
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                        displayOrder: 12345
                        locationImages:
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                        name: ...
                        children:
                          - {}
                          - {}
                        locationLevel: 12345
                      - discriminator: LOC
                        sysidParentNode: 12345
                        sysidLocatorNode: 12345
                        locationMapImages:
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                          - name: ...
                            sysidLocationMapImage: 12345
                            displayOrder: 12345
                            thumbnailSource: ...
                            imageSource: ...
                            description: ...
                            defaultImage: true
                            height: 12345
                            width: 12345
                        displayOrder: 12345
                        locationImages:
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                          - width: 12345
                            name: ...
                            description: ...
                            displayOrder: 12345
                            imageSource: ...
                            height: 12345
                            defaultImage: true
                            sysidLocationImage: 12345
                            thumbnailSource: ...
                        name: ...
                        children:
                          - {}
                          - {}
                        locationLevel: 12345
                    locationLevel: 12345
              schema:
                $ref: '#/components/schemas/VenueNode'
          description: |-
            VenueNode
            com.agilquest.phoenix.shared.data.location.VenueNode
components:
  schemas:
    VenueNode:
      type: object
      title: VenueNode
      required:
        - active
      allOf:
        - $ref: '#/components/schemas/LocatorNode'
        - properties:
            venue:
              $ref: '#/components/schemas/Venue'
            active:
              type: boolean
      example:
        venue:
          country: ...
          address1: ...
          events:
            - active: true
              details: ...
              timeZone: {}
              location: ...
              sysidVenueEvent: 12345
              startAqDate: {}
              endAqDate: {}
              title: ...
            - active: true
              details: ...
              timeZone: {}
              location: ...
              sysidVenueEvent: 12345
              startAqDate: {}
              endAqDate: {}
              title: ...
          venueTz:
            default: {}
            ID: ...
            availableIDs:
              - ...
              - ...
            rawOffset: 12345
            displayName: ...
            DSTSavings: 12345
          description: ...
          showEventsDaysInAdvance: 12345
          emailMessage: ...
          message: ...
          sysidVenueType: 12345
          sysidAccountVenue: 12345
          geofenceMeters: 12345
          allowAutoBump: true
          maxFutureWorkspaces: 12345
          latitude: 12345
          exemptAutoBumpOnClosedDays: true
          city: ...
          stateProvince: ...
          schedules:
            - timeZone: {}
              activationAqDate: {}
              scheduleDays:
                - {}
                - {}
              defaultSchedule: true
              expirationAqDate: {}
              sysidVenueSchedule: 12345
              name: ...
            - timeZone: {}
              activationAqDate: {}
              scheduleDays:
                - {}
                - {}
              defaultSchedule: true
              expirationAqDate: {}
              sysidVenueSchedule: 12345
              name: ...
          originalVenue: true
          longitude: 12345
          sysidAccount: 12345
          sysidTimeZone: 12345
          displayLinks:
            - imageURL: ...
              sysidDisplayLink: 12345
              external: true
              description: ...
              display: true
              languageTag: ...
              targetURL: ...
              activationAqDate: {}
              expirationAqDate: {}
            - imageURL: ...
              sysidDisplayLink: 12345
              external: true
              description: ...
              display: true
              languageTag: ...
              targetURL: ...
              activationAqDate: {}
              expirationAqDate: {}
          maxFutureReservationDays: 12345
          sysidLanguage: 12345
          address2: ...
          directions: ...
          forums:
            - sysidVenueForum: 12345
              sysidForumLocatorNode: 12345
              sysidForum: 12345
              sysidLocatorNode: 12345
            - sysidVenueForum: 12345
              sysidForumLocatorNode: 12345
              sysidForum: 12345
              sysidLocatorNode: 12345
          timeZone:
            name: ...
            sysidTimeZone: 12345
            tzvalue: ...
          contacts:
            - sysidVenueContact: 12345
              contactUser: {}
              sysidApplicationUser: 12345
              description: ...
            - sysidVenueContact: 12345
              contactUser: {}
              sysidApplicationUser: 12345
              description: ...
          postalCode: ...
          website: ...
          active: true
        active: true
        discriminator: VNU
        sysidParentNode: 12345
        sysidLocatorNode: 12345
        locationMapImages:
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
        displayOrder: 12345
        locationImages:
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
        name: ...
        children:
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
        locationLevel: 12345
    LocatorNode:
      discriminator: discriminator
      type: object
      title: LocatorNode
      required:
        - locationLevel
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            sysidParentNode:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
            locationMapImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationMapImage'
            displayOrder:
              type: integer
              format: int32
            locationImages:
              type: array
              items:
                $ref: '#/components/schemas/LocationImage'
            name:
              type: string
            children:
              type: array
              items:
                $ref: '#/components/schemas/LocatorNode'
            locationLevel:
              type: integer
              format: int32
      example:
        discriminator: LOC
        sysidParentNode: 12345
        sysidLocatorNode: 12345
        locationMapImages:
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
          - name: ...
            sysidLocationMapImage: 12345
            displayOrder: 12345
            thumbnailSource: ...
            imageSource: ...
            description: ...
            defaultImage: true
            height: 12345
            width: 12345
        displayOrder: 12345
        locationImages:
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
          - width: 12345
            name: ...
            description: ...
            displayOrder: 12345
            imageSource: ...
            height: 12345
            defaultImage: true
            sysidLocationImage: 12345
            thumbnailSource: ...
        name: ...
        children:
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
          - discriminator: LOC
            sysidParentNode: 12345
            sysidLocatorNode: 12345
            locationMapImages:
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
              - name: ...
                sysidLocationMapImage: 12345
                displayOrder: 12345
                thumbnailSource: ...
                imageSource: ...
                description: ...
                defaultImage: true
                height: 12345
                width: 12345
            displayOrder: 12345
            locationImages:
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
              - width: 12345
                name: ...
                description: ...
                displayOrder: 12345
                imageSource: ...
                height: 12345
                defaultImage: true
                sysidLocationImage: 12345
                thumbnailSource: ...
            name: ...
            children:
              - {}
              - {}
            locationLevel: 12345
        locationLevel: 12345
    Venue:
      type: object
      title: Venue
      required:
        - showEventsDaysInAdvance
        - sysidVenueType
        - allowAutoBump
        - maxFutureWorkspaces
        - exemptAutoBumpOnClosedDays
        - originalVenue
        - sysidAccount
        - sysidTimeZone
        - maxFutureReservationDays
        - sysidLanguage
        - active
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            country:
              type: string
            address1:
              type: string
            events:
              type: array
              items:
                $ref: '#/components/schemas/VenueEvent'
            venueTz:
              $ref: '#/components/schemas/TimeZone'
            description:
              type: string
            showEventsDaysInAdvance:
              type: integer
              format: int32
            emailMessage:
              type: string
            message:
              type: string
            sysidVenueType:
              type: integer
              format: int32
            sysidAccountVenue:
              type: integer
              format: int32
            geofenceMeters:
              type: integer
              format: int32
            allowAutoBump:
              type: boolean
            maxFutureWorkspaces:
              type: integer
              format: int32
            latitude:
              type: number
            exemptAutoBumpOnClosedDays:
              type: boolean
            city:
              type: string
            stateProvince:
              type: string
            schedules:
              type: array
              items:
                $ref: '#/components/schemas/VenueSchedule'
            originalVenue:
              type: boolean
            longitude:
              type: number
            sysidAccount:
              type: integer
              format: int32
            sysidTimeZone:
              type: integer
              format: int32
            displayLinks:
              type: array
              items:
                $ref: '#/components/schemas/VenueDisplayLink'
            maxFutureReservationDays:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            address2:
              type: string
            directions:
              type: string
            forums:
              type: array
              items:
                $ref: '#/components/schemas/VenueForum'
            timeZone:
              $ref: '#/components/schemas/AQTimeZone'
            contacts:
              type: array
              items:
                $ref: '#/components/schemas/VenueContact'
            postalCode:
              type: string
            website:
              type: string
            active:
              type: boolean
      example:
        country: ...
        address1: ...
        events:
          - active: true
            details: ...
            timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            location: ...
            sysidVenueEvent: 12345
            startAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            endAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            title: ...
          - active: true
            details: ...
            timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            location: ...
            sysidVenueEvent: 12345
            startAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            endAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            title: ...
        venueTz:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        description: ...
        showEventsDaysInAdvance: 12345
        emailMessage: ...
        message: ...
        sysidVenueType: 12345
        sysidAccountVenue: 12345
        geofenceMeters: 12345
        allowAutoBump: true
        maxFutureWorkspaces: 12345
        latitude: 12345
        exemptAutoBumpOnClosedDays: true
        city: ...
        stateProvince: ...
        schedules:
          - timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            scheduleDays:
              - closedMinutesFromMidnight: 12345
                weekDay: 12345
                open: true
                openMinutesFromMidnight: 12345
                open24Hours: true
                sysidVenueScheduleDay: 12345
              - closedMinutesFromMidnight: 12345
                weekDay: 12345
                open: true
                openMinutesFromMidnight: 12345
                open24Hours: true
                sysidVenueScheduleDay: 12345
            defaultSchedule: true
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVenueSchedule: 12345
            name: ...
          - timeZone:
              default: {}
              ID: ...
              availableIDs:
                - ...
                - ...
              rawOffset: 12345
              displayName: ...
              DSTSavings: 12345
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            scheduleDays:
              - closedMinutesFromMidnight: 12345
                weekDay: 12345
                open: true
                openMinutesFromMidnight: 12345
                open24Hours: true
                sysidVenueScheduleDay: 12345
              - closedMinutesFromMidnight: 12345
                weekDay: 12345
                open: true
                openMinutesFromMidnight: 12345
                open24Hours: true
                sysidVenueScheduleDay: 12345
            defaultSchedule: true
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            sysidVenueSchedule: 12345
            name: ...
        originalVenue: true
        longitude: 12345
        sysidAccount: 12345
        sysidTimeZone: 12345
        displayLinks:
          - imageURL: ...
            sysidDisplayLink: 12345
            external: true
            description: ...
            display: true
            languageTag: ...
            targetURL: ...
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
          - imageURL: ...
            sysidDisplayLink: 12345
            external: true
            description: ...
            display: true
            languageTag: ...
            targetURL: ...
            activationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
            expirationAqDate:
              discriminator: AqDate
              hour: 12345
              tzIdValue: ...
              year: 12345
              month: 12345
              dayOfMonth: 12345
              minute: 12345
              noEndDate: true
        maxFutureReservationDays: 12345
        sysidLanguage: 12345
        address2: ...
        directions: ...
        forums:
          - sysidVenueForum: 12345
            sysidForumLocatorNode: 12345
            sysidForum: 12345
            sysidLocatorNode: 12345
          - sysidVenueForum: 12345
            sysidForumLocatorNode: 12345
            sysidForum: 12345
            sysidLocatorNode: 12345
        timeZone:
          name: ...
          sysidTimeZone: 12345
          tzvalue: ...
        contacts:
          - sysidVenueContact: 12345
            contactUser:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            sysidApplicationUser: 12345
            description: ...
          - sysidVenueContact: 12345
            contactUser:
              privateProfile: true
              lastName: ...
              city: ...
              postalCode: ...
              middleInitial: ...
              country: ...
              roleName: ...
              address1: ...
              mobilePhone: ...
              sysidUser: 12345
              stateProvince: ...
              department: ...
              workPhone: ...
              sysidStatus: 12345
              images:
                - {}
                - {}
              sysidHomeLocation: 12345
              sysidLanguage: 12345
              emailAddress: ...
              firstName: ...
              originalUser: true
              locationName: ...
              address2: ...
              accountLocked: true
              statusMessage: ...
              title: ...
            sysidApplicationUser: 12345
            description: ...
        postalCode: ...
        website: ...
        active: true
    DependentData:
      type: object
      title: DependentData
      example: {}
    LocationMapImage:
      type: object
      title: LocationMapImage
      required:
        - defaultImage
        - height
        - width
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidLocationMapImage:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            thumbnailSource:
              type: string
            imageSource:
              type: string
            description:
              type: string
            defaultImage:
              type: boolean
            height:
              type: integer
              format: int32
            width:
              type: integer
              format: int32
      example:
        name: ...
        sysidLocationMapImage: 12345
        displayOrder: 12345
        thumbnailSource: ...
        imageSource: ...
        description: ...
        defaultImage: true
        height: 12345
        width: 12345
    LocationImage:
      type: object
      title: LocationImage
      required:
        - width
        - height
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            width:
              type: integer
              format: int32
            name:
              type: string
            description:
              type: string
            displayOrder:
              type: integer
              format: int32
            imageSource:
              type: string
            height:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            sysidLocationImage:
              type: integer
              format: int32
            thumbnailSource:
              type: string
      example:
        width: 12345
        name: ...
        description: ...
        displayOrder: 12345
        imageSource: ...
        height: 12345
        defaultImage: true
        sysidLocationImage: 12345
        thumbnailSource: ...
    VenueEvent:
      type: object
      title: VenueEvent
      required:
        - active
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            active:
              type: boolean
            details:
              type: string
            timeZone:
              $ref: '#/components/schemas/TimeZone'
            location:
              type: string
            sysidVenueEvent:
              type: integer
              format: int32
            startAqDate:
              $ref: '#/components/schemas/AqDate'
            endAqDate:
              $ref: '#/components/schemas/AqDate'
            title:
              type: string
      example:
        active: true
        details: ...
        timeZone:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        location: ...
        sysidVenueEvent: 12345
        startAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        endAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        title: ...
    TimeZone:
      type: object
      title: TimeZone
      required:
        - rawOffset
        - DSTSavings
      properties:
        default:
          $ref: '#/components/schemas/TimeZone'
        ID:
          type: string
        availableIDs:
          type: array
          items:
            type: string
        rawOffset:
          type: integer
          format: int32
        displayName:
          type: string
        DSTSavings:
          type: integer
          format: int32
      example:
        default:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        ID: ...
        availableIDs:
          - ...
          - ...
        rawOffset: 12345
        displayName: ...
        DSTSavings: 12345
    VenueSchedule:
      type: object
      title: VenueSchedule
      required:
        - defaultSchedule
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            timeZone:
              $ref: '#/components/schemas/TimeZone'
            activationAqDate:
              $ref: '#/components/schemas/AqDate'
            scheduleDays:
              type: array
              items:
                $ref: '#/components/schemas/VenueScheduleDay'
            defaultSchedule:
              type: boolean
            expirationAqDate:
              $ref: '#/components/schemas/AqDate'
            sysidVenueSchedule:
              type: integer
              format: int32
            name:
              type: string
      example:
        timeZone:
          default: {}
          ID: ...
          availableIDs:
            - ...
            - ...
          rawOffset: 12345
          displayName: ...
          DSTSavings: 12345
        activationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        scheduleDays:
          - closedMinutesFromMidnight: 12345
            weekDay: 12345
            open: true
            openMinutesFromMidnight: 12345
            open24Hours: true
            sysidVenueScheduleDay: 12345
          - closedMinutesFromMidnight: 12345
            weekDay: 12345
            open: true
            openMinutesFromMidnight: 12345
            open24Hours: true
            sysidVenueScheduleDay: 12345
        defaultSchedule: true
        expirationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        sysidVenueSchedule: 12345
        name: ...
    VenueDisplayLink:
      type: object
      title: VenueDisplayLink
      required:
        - external
        - display
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            expirationAqDate:
              $ref: '#/components/schemas/AqDate'
            sysidDisplayLink:
              type: integer
              format: int32
            targetURL:
              type: string
            description:
              type: string
            external:
              type: boolean
            languageTag:
              type: string
            imageURL:
              type: string
            activationAqDate:
              $ref: '#/components/schemas/AqDate'
            display:
              type: boolean
      example:
        imageURL: ...
        sysidDisplayLink: 12345
        external: true
        description: ...
        display: true
        languageTag: ...
        targetURL: ...
        activationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
        expirationAqDate:
          discriminator: AqDate
          hour: 12345
          tzIdValue: ...
          year: 12345
          month: 12345
          dayOfMonth: 12345
          minute: 12345
          noEndDate: true
    VenueForum:
      type: object
      title: VenueForum
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueForum:
              type: integer
              format: int32
            sysidForumLocatorNode:
              type: integer
              format: int32
            sysidForum:
              type: integer
              format: int32
            sysidLocatorNode:
              type: integer
              format: int32
      example:
        sysidVenueForum: 12345
        sysidForumLocatorNode: 12345
        sysidForum: 12345
        sysidLocatorNode: 12345
    AQTimeZone:
      type: object
      title: AQTimeZone
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            name:
              type: string
            sysidTimeZone:
              type: integer
              format: int32
            tzvalue:
              type: string
      example:
        name: ...
        sysidTimeZone: 12345
        tzvalue: ...
    VenueContact:
      type: object
      title: VenueContact
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidVenueContact:
              type: integer
              format: int32
            contactUser:
              $ref: '#/components/schemas/UserView'
            sysidApplicationUser:
              type: integer
              format: int32
            description:
              type: string
      example:
        sysidVenueContact: 12345
        contactUser:
          privateProfile: true
          lastName: ...
          city: ...
          postalCode: ...
          middleInitial: ...
          country: ...
          roleName: ...
          address1: ...
          mobilePhone: ...
          sysidUser: 12345
          stateProvince: ...
          department: ...
          workPhone: ...
          sysidStatus: 12345
          images:
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
            - sysidUserImage: 12345
              defaultImage: true
              thumbnailSource: ...
              width: 12345
              displayOrder: 12345
              height: 12345
              description: ...
              imageSource: ...
              name: ...
              sysidApplicationUser: 12345
          sysidHomeLocation: 12345
          sysidLanguage: 12345
          emailAddress: ...
          firstName: ...
          originalUser: true
          locationName: ...
          address2: ...
          accountLocked: true
          statusMessage: ...
          title: ...
        sysidApplicationUser: 12345
        description: ...
    AqDate:
      discriminator: discriminator
      type: object
      title: AqDate
      required:
        - hour
        - year
        - month
        - dayOfMonth
        - minute
        - noEndDate
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            discriminator:
              description: The JSON object type.
              type: string
            hour:
              type: integer
              format: int32
            tzIdValue:
              type: string
            year:
              type: integer
              format: int32
            month:
              type: integer
              format: int32
            dayOfMonth:
              type: integer
              format: int32
            minute:
              type: integer
              format: int32
            noEndDate:
              type: boolean
      example:
        discriminator: AqDate
        hour: 12345
        tzIdValue: ...
        year: 12345
        month: 12345
        dayOfMonth: 12345
        minute: 12345
        noEndDate: true
    VenueScheduleDay:
      type: object
      title: VenueScheduleDay
      required:
        - closedMinutesFromMidnight
        - weekDay
        - open
        - openMinutesFromMidnight
        - open24Hours
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            closedMinutesFromMidnight:
              type: integer
              format: int32
            weekDay:
              type: integer
              format: int32
            open:
              type: boolean
            openMinutesFromMidnight:
              type: integer
              format: int32
            open24Hours:
              type: boolean
            sysidVenueScheduleDay:
              type: integer
              format: int32
      example:
        closedMinutesFromMidnight: 12345
        weekDay: 12345
        open: true
        openMinutesFromMidnight: 12345
        open24Hours: true
        sysidVenueScheduleDay: 12345
    UserView:
      type: object
      title: UserView
      required:
        - privateProfile
        - sysidUser
        - sysidLanguage
        - originalUser
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            privateProfile:
              type: boolean
            lastName:
              type: string
            city:
              type: string
            postalCode:
              type: string
            middleInitial:
              type: string
            country:
              type: string
            roleName:
              type: string
            address1:
              type: string
            mobilePhone:
              type: string
            sysidUser:
              type: integer
              format: int32
            stateProvince:
              type: string
            department:
              type: string
            workPhone:
              type: string
            sysidStatus:
              type: integer
              format: int32
            images:
              type: array
              items:
                $ref: '#/components/schemas/UserImageData'
            sysidHomeLocation:
              type: integer
              format: int32
            sysidLanguage:
              type: integer
              format: int32
            emailAddress:
              type: string
            firstName:
              type: string
            originalUser:
              type: boolean
            locationName:
              type: string
            address2:
              type: string
            accountLocked:
              type: boolean
            statusMessage:
              type: string
            title:
              type: string
      example:
        privateProfile: true
        lastName: ...
        city: ...
        postalCode: ...
        middleInitial: ...
        country: ...
        roleName: ...
        address1: ...
        mobilePhone: ...
        sysidUser: 12345
        stateProvince: ...
        department: ...
        workPhone: ...
        sysidStatus: 12345
        images:
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
          - sysidUserImage: 12345
            defaultImage: true
            thumbnailSource: ...
            width: 12345
            displayOrder: 12345
            height: 12345
            description: ...
            imageSource: ...
            name: ...
            sysidApplicationUser: 12345
        sysidHomeLocation: 12345
        sysidLanguage: 12345
        emailAddress: ...
        firstName: ...
        originalUser: true
        locationName: ...
        address2: ...
        accountLocked: true
        statusMessage: ...
        title: ...
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}
    UserImageData:
      type: object
      title: UserImageData
      required:
        - defaultImage
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidUserImage:
              type: integer
              format: int32
            defaultImage:
              type: boolean
            thumbnailSource:
              type: string
            width:
              type: integer
              format: int32
            displayOrder:
              type: integer
              format: int32
            height:
              type: integer
              format: int32
            description:
              type: string
            imageSource:
              type: string
            name:
              type: string
            sysidApplicationUser:
              type: integer
              format: int32
      example:
        sysidUserImage: 12345
        defaultImage: true
        thumbnailSource: ...
        width: 12345
        displayOrder: 12345
        height: 12345
        description: ...
        imageSource: ...
        name: ...
        sysidApplicationUser: 12345

````